Draft BezCurve

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft BezCurve and the translation is 42% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Facebinder.svg Facebinder Vorherige:
Nächste: Label Draft Label.svg Arrow-right.svg

Draft BezCurve.svg Draft BezCurve

Menüeintrag
Entwurf → Bézierkurve
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
B Z
In der Version eingeführt
0.14
Siehe auch
Linienzug, BSpline


Beschreibung

Das BezCurve-Werkzeug erstellt eine Bézierkurve (oder eine stückweise Bézierkurve) aus einigen Punkten in der aktuellen Arbeitsebene. Dabei werden die vorher im Draft Tray festgelegte Linienbreite und -farbe verwendet.

The BezCurve tool curve uses control points to define the direction of the curve; on the other hand the Draft BSpline tool specifies the exact points through which the curve will go. To create exact circular or elliptical curves, use Draft Arc and Draft Ellipse.

Draft BezCurve Example.png

Bézierkurve definiert durch mehrere Kontrollpunkte


Anwendung

Anwendung

  1. Drücke die Schaltfläche Draft BezCurve.png Draft BezCurve oder drücke B, dann Z
  2. Klicke einen ersten Punkt in der 3D-Ansicht oder tippe eine Koordinate und drücke die Schaltfläche Draft AddPoint.svg Punkt hinzufügen.
  3. Klicke weitere Punkte in der 3D-Ansicht oder tippe eine Koordinate und drücke die Schaltfläche Draft AddPoint.svg Punkt hinzufügen.
  4. Drücke Esc oder die Schaltfläche Schließen oder doppelklicke den letzten Punkt zum Abschließen der Änderung.

Das Objekt wird erstellt als eine einzelne Bézierkurve des Grades (Anzahl Punkte - 1). Nach der Erstellung kann dies mit dem Eigenschaftseditor in eine stückweise Bézierkurve eines vorgegebenen Grades geändert werden.

Die Kurve kann nach doppelklicken des Elements in der Baumansicht oder nach drücken der Schaltfläche Draft Edit.png Bearbeiten geändert werden. Dann kannst Du die Punkte an eine neue Position verschieben oder Draft AddPoint.svg Punkt hinzufügen oder Draft DelPoint.svg Punkt entfernen und dann den Linienzug anklicken, um Punkte hinzuzufügen oder zu entfernen. Du kannst auch den Tp der Beschränkung für jeden Punkt ändern.

Knotenbeschränkungen

The segment endpoints can be constrained such that adjacent control points are tangent or symmetric to the segments at the endpoint. First, start editing the curve, then pick one of the tools and then pick a point. Click again on the tool to deactivate it, so you can move the point.

  • Draft BezSharpNode.svg sharp remove constraints on the points so the curve can have sharp corners.
  • Draft BezTanNode.svg tangent force adjacent control points to be tangent.
  • Draft BezSymNode.svg symmetric force adjacent control points to be tangent and equidistant.

Einschränkungen

  • Die Points-Eigenschaft erscheint bisher nicht in der Eigenschaftenliste.
  • OpenCascade, und dadurch FreeCAD, unterstützt nicht Bézierkurven mit einem Grad > 25. Dies sollte in der Praxis kein Problem sein, weil die meisten Benutzer typischerweise Bézierkurven vom Grad 3 bis 5 verwenden.

Anwendung

  1. Drücke den Draft Line.png Draft Bézierkurve-Button oder Taste B und dann Taste Z.
  2. Klicke einen ersten Punkt in der 3D-Ansicht oder gib eine Koordinate ein.
  3. Klicke einen zweiten Punkt in der 3D-Ansicht odergib eine Koordinate ein.
  4. Drücke F oder C oder doppelklicke den letzten Punkt oder klicke auf den ersten Punkt zum Beenden und Schließen der Kurve.

Optionen

  • Drücke F oder den Draft FinishLine.png Beenden-Button, um den B-Spline zu beenden (nicht zu schließen)
  • Drücke C oder den Draft CloseLine.png Schließen-Button oder klicke den ersten Punkt, um den B-Spline zu schließen, indem ein letztes Segment zwischen dem letzen und ersten Punkt eingefügt wird.
  • Drücke X, Y oder Z nach einem Punkt, um den nächsten Punkt an der angegebenen Achse einzuschränken.
  • Um Koordinaten manuell einzugeben, gib einfach die Ziffern ein, drücke dann Enter zwischen den X-, Y- und Z-Komponenten.
  • Klicke das Ankreuzkästchen zum de/aktivieren des Relativ-Buttons. Wenn der Relativ-Modus aktiviert ist, sind die Koordinaten des nächsten Punkts relativ zum letzten. Wenn nicht, sind sie absolut, bezogen auf den Urspung (0,0,0).
  • Klicke den Gefüllt-Button, damit die Bézierkurve nach dem Schließen mit einer Oberfläche gefüllt wird.
  • Drücke Alt+N oder klicke das Ankreuzkästchen zum de/aktivieren des Nächstes-Buttons. Wenn der Fortsetzungsmodus aktiviert ist, wird das BezCurve-Werkzeug nach Beenden oder Schließen einer Bézierkurve neugestartet, um das Zeichnen einer weiteren Bézierkurve ohne erneutes Drücken des BezCurve-Buttons zu ermöglichen.
  • Drücke Strg während des Zeichnens, um das Einrasten Deines Punkts an der nächsten Einrastposition zu erzwingen, unabhängig vom Abstand.
  • Drücke Shift während des Zeichnens, um Deinen Punkt horizontal oder vertikal in Relation zum Mittelpunkt einzuschränken.
  • Drücke W oder drücke den Draft Wipe.png Radieren-Button, um die exisitierenden Segemente zu entfernenund den Spline vom letzten Punkt zu starten.
  • Drücke Strg+Z oder drücke den Draft UndoLine.png Rückgängig-Button, um dem letzten Punkt rückgängig zu machen.
  • Drücke Esc oder den Abbrechen-Button, um den aktuellen BezCurve-Befehl abzubrechen.

Eigenschaften

Data

  • DATADegree: specifies the degree of the Bezier curve or the individual segments.
  • DATAClosed: specifies if the curve is closed or not. If the curve is initially open, this value is False; setting it to True will draw a segment to close the curve. If the curve is initially closed, this value is True; setting it to False will remove the last segment, and make the curve open.
  • DATAMake Face: specifies if the curve makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object. This property only works if DATAClosed is True.
Note: do not set DATAMake Face to True if the curve intersects itself, as it won't create a proper face.
  • DATAContinuity: (read-only) when the curve is closed, indicates the continuity of the curve [0], or [0,0]. Otherwise it's [].

View

  • VIEWArrow Size: specifies the size of the symbol displayed at the end of the curve.
  • VIEWArrow Type: specifies the type of symbol displayed at the end of the curve, which can be dot, circle, arrow, and tick.
  • VIEWEnd Arrow: specifies whether to show a symbol at the last point of the curve, so it can be used as an annotation line.
  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the closed curve. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Scripting

Siehe auch: Arch API und FreeCAD Scripting Basics.

Das BezCurve-Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus mit folgender Funktion angesprochen werden:

BezCurve = makeBezCurve(pointslist, closed=False, placement=None, face=None, support=None, degree=None)
BezCurve = makeBezCurve(Part.Wire, closed=False, placement=None, face=None, support=None, degree=None)
  • Erstellt ein Bézierkurven-Objekt aus der vorgegebenen Liste von Vektoren. Anstatt einer Punkteliste kannst Du auch einen Linienzug (Part Wire) übergeben.

Beispiel:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)
p4 = FreeCAD.Vector(1500, -2000, 0)

BezCurve1 = Draft.makeBezCurve([p1, p2, p3, p4], closed=True)
BezCurve2 = Draft.makeBezCurve([p4, 1.3*p2, p1, 4.1*p3], closed=True)
BezCurve3 = Draft.makeBezCurve([1.7*p3, 1.5*p4, 2.1*p2, p1], closed=True)
Arrow-left.svg Draft Facebinder.svg Facebinder Vorherige:
Nächste: Label Draft Label.svg Arrow-right.svg